#!/usr/bin/make -f
# -*- makefile -*-

JAVA_HOME               := /usr/lib/jvm/default-java

# Include the extra files in the jar that are included in the upstream jar
export JH_JAR_EXTRA=$(shell find org -type f -not -name "*.java")

get-orig-source:
	curl -o TimingFramework-1.0-src.zip https://timingframework.dev.java.net/files/documents/2564/67075/TimingFramework-1.0-src.zip
	mkdir timingframework_1.0.orig
	unzip -d timingframework_1.0.orig TimingFramework-1.0-src.zip
	tar -cvzf ../timingframework_1.0.orig.tar.gz timingframework_1.0.orig
	rm -rf timingframework_1.0.orig
	rm TimingFramework-1.0-src.zip

%:
	dh $@ --with javahelper
